Package org.springframework.security.config.method

# Class GlobalMethodSecurityBeanDefinitionParser

java.lang.Object
org.springframework.security.config.method.GlobalMethodSecurityBeanDefinitionParser

All Implemented Interfaces:
  `org.springframework.beans.factory.xml.BeanDefinitionParser`

@Deprecated public class GlobalMethodSecurityBeanDefinitionParser extends Object implements org.springframework.beans.factory.xml.BeanDefinitionParser
Deprecated.
Use `MethodSecurityBeanDefinitionParser` instead
Processes the top-level "global-method-security" element.

Since:
  2.0

## Constructor Summary

Constructors
Constructor
Description
`GlobalMethodSecurityBeanDefinitionParser()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`org.springframework.beans.factory.config.BeanDefinition`
`parse(Element element, org.springframework.beans.factory.xml.ParserContext pc)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GlobalMethodSecurityBeanDefinitionParser

public GlobalMethodSecurityBeanDefinitionParser()
Deprecated.

## Method Details

### parse

public org.springframework.beans.factory.config.BeanDefinition parse(Element element, org.springframework.beans.factory.xml.ParserContext pc)
Deprecated.

Specified by:
  `parse` in interface `org.springframework.beans.factory.xml.BeanDefinitionParser`